summaryrefslogtreecommitdiff
path: root/app-misc/g15daemon/files
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/g15daemon/files')
-rw-r--r--app-misc/g15daemon/files/99-g15daemon.rules1
-rw-r--r--app-misc/g15daemon/files/g15daemon-9999-forgotten-open-mode.patch11
-rw-r--r--app-misc/g15daemon/files/g15daemon-hotplug13
-rw-r--r--app-misc/g15daemon/files/g15daemon.conf27
-rw-r--r--app-misc/g15daemon/files/g15daemon.confd9
-rw-r--r--app-misc/g15daemon/files/g15daemon.initd41
6 files changed, 102 insertions, 0 deletions
diff --git a/app-misc/g15daemon/files/99-g15daemon.rules b/app-misc/g15daemon/files/99-g15daemon.rules
new file mode 100644
index 0000000..d491d68
--- /dev/null
+++ b/app-misc/g15daemon/files/99-g15daemon.rules
@@ -0,0 +1 @@
+SUBSYSTEM=="usb", ATTR{product}=="G15 Gaming Keyboard", RUN+="/usr/bin/g15daemon-hotplug"
diff --git a/app-misc/g15daemon/files/g15daemon-9999-forgotten-open-mode.patch b/app-misc/g15daemon/files/g15daemon-9999-forgotten-open-mode.patch
new file mode 100644
index 0000000..b475f1d
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon-9999-forgotten-open-mode.patch
@@ -0,0 +1,11 @@
+--- ./g15daemon-1.9.5.3/g15daemon/utility_funcs.c 2008-01-26 06:02:07.000000000 +0100
++++ ./g15daemon-1.9.5.3/g15daemon/utility_funcs.c 2009-02-01 17:00:55.203009264 +0100
+@@ -356,7 +356,7 @@
+ config_items_t * item=NULL;
+ char line[1024];
+
+- config_fd = open(filename,O_CREAT|O_RDWR|O_TRUNC);
++ config_fd = open(filename,O_CREAT|O_RDWR|O_TRUNC,0664);
+ if(config_fd){
+ snprintf(line,1024,"# G15Daemon Configuration File\n# any items entered before a [section] header\n# will be in the Global config space\n# comments you wish to keep should start with a semicolon';'\n");
+ write(config_fd,line,strlen(line));
diff --git a/app-misc/g15daemon/files/g15daemon-hotplug b/app-misc/g15daemon/files/g15daemon-hotplug
new file mode 100644
index 0000000..1e20761
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon-hotplug
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+case "$ACTION" in
+ "add")
+ /etc/init.d/g15daemon restart
+ ;;
+ "remove")
+ /etc/init.d/g15daemon stop
+ ;;
+ *)
+ exit 0
+ ;;
+esac
diff --git a/app-misc/g15daemon/files/g15daemon.conf b/app-misc/g15daemon/files/g15daemon.conf
new file mode 100644
index 0000000..2d2bfc3
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon.conf
@@ -0,0 +1,27 @@
+# G15Daemon Configuration File
+# any items entered before a [section] header
+# will be in the Global config space
+# comments you wish to keep should start with a semicolon';'
+
+[Global]
+Use MR as Cycle Key: Off
+
+[PLUGIN_LOAD_ORDER]
+0: g15plugin_uinput.so
+1: g15plugin_clock.so
+2: g15plugin_tcpserver.so
+TotalPlugins: 3
+
+[PLUGINS]
+Linux UINPUT Keyboard Output: Load
+Clock: Load
+LCDServer: Load
+
+[Keyboard OS Mapping (uinput)]
+device: /dev/input/uinput
+Lkeys.mapped: 0
+
+[Clock]
+24hrFormat: On
+ShowDate: Off
+Digital: On
diff --git a/app-misc/g15daemon/files/g15daemon.confd b/app-misc/g15daemon/files/g15daemon.confd
new file mode 100644
index 0000000..08ea97f
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon.confd
@@ -0,0 +1,9 @@
+# /etc/conf.d/g15daemon: Configuration for the g15daemon
+
+# Key to switch the client-screens. Default is the MR key,
+# Set to "yes" to use L1 key instead (black round key below the LCD, above the multimedia keys).
+CLIENT_SWITCH_L1="no"
+
+# Set to "yes" to switch off the lcd backlight when stopping g15daemon.
+BACKLIGHT_OFF="no"
+
diff --git a/app-misc/g15daemon/files/g15daemon.initd b/app-misc/g15daemon/files/g15daemon.initd
new file mode 100644
index 0000000..b8e8cd6
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon.initd
@@ -0,0 +1,41 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15daemon/files/g15daemon-1.2.7-r2.initd,v 1.1 2007/12/19 17:38:30 chainsaw Exp $
+
+# Init script for g15daemon
+
+depend() {
+ after hotplug
+ after usb
+ after modules
+}
+
+start() {
+ ebegin "Starting g15daemon"
+
+ # Does the input device already exist?
+ if [ -e /proc/modules -a ! -e /dev/input/uinput ]; then
+ # We can load modules, but uinput device does not exist
+ einfo "Loading uinput module"
+ /sbin/modprobe uinput > /dev/null 2> /dev/null
+ fi
+
+ local SWITCHKEY=""
+ [ "${CLIENT_SWITCH_L1}" = "yes" ] && SWITCHKEY="--switch"
+ start-stop-daemon --start --background --pidfile /var/run/g15daemon.pid \
+ --exec /usr/sbin/g15daemon -- ${SWITCHKEY}
+ eend $? "Failed to start g15daemon."
+}
+
+stop() {
+ ebegin "Stopping g15daemon"
+ local KILLOPT="-k"
+ if [ $BACKLIGHT_OFF = "yes" ]; then
+ KILLOPT="-K"
+ fi
+ /usr/sbin/g15daemon ${KILLOPT} &>/dev/null
+ sleep 1
+ start-stop-daemon -R 5 --stop --quiet --pidfile /var/run/g15daemon.pid
+ eend $?
+}